/*-
 * Copyright (c) 2005 Norikatsu Shigemura
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * $Id: dummy_acrobat.c,v 1.3 2005/05/06 16:22:50 nork Exp $
 */

/*
 *
 */
#ifdef	DEBUG
void abort(void);
int _write(int, const void *, unsigned int);

#define	hook_and_abort(func)	\
	void func(void) { \
		_write(2, #func "\n", sizeof(#func "\n") - 1); \
		abort(); \
	}

  hook_and_abort(XAllowEvents)
  hook_and_abort(XChangeProperty)
  hook_and_abort(XChangeWindowAttributes)
  hook_and_abort(XDeleteProperty)
  hook_and_abort(XFree)
  hook_and_abort(XGetWindowAttributes)
  hook_and_abort(XGetWindowProperty)
  hook_and_abort(XInternAtom)
  hook_and_abort(XMapWindow)
  hook_and_abort(XMoveResizeWindow)
  hook_and_abort(XReparentWindow)
  hook_and_abort(XServerVendor)
  hook_and_abort(XSetErrorHandler)
  hook_and_abort(XSync)
  hook_and_abort(XUnmapWindow)
  hook_and_abort(XVisualIDFromVisual)
  hook_and_abort(XrmGetDatabase)
  hook_and_abort(XrmGetResource)
  hook_and_abort(XrmPutResource)
  hook_and_abort(XtAddCallback)
  hook_and_abort(XtAddEventHandler)
  hook_and_abort(XtAppAddInput)
  hook_and_abort(XtAppCreateShell)
  hook_and_abort(XtAppNextEvent)
  hook_and_abort(XtAppProcessEvent)
  hook_and_abort(XtCallActionProc)
  hook_and_abort(XtCalloc)
  hook_and_abort(XtCreateApplicationContext)
  hook_and_abort(XtDispatchEvent)
  hook_and_abort(XtDisplay)
  hook_and_abort(XtFree)
  hook_and_abort(XtGetApplicationNameAndClass)
  hook_and_abort(XtGetApplicationResources)
  hook_and_abort(XtGetSubresources)
  hook_and_abort(XtGetValues)
  hook_and_abort(XtGrabButton)
  hook_and_abort(XtGrabKey)
  hook_and_abort(XtIsManaged)
  hook_and_abort(XtMalloc)
  hook_and_abort(XtName)
  hook_and_abort(XtOverrideTranslations)
  hook_and_abort(XtParent)
  hook_and_abort(XtParseTranslationTable)
  hook_and_abort(XtRemoveCallback)
  hook_and_abort(XtRemoveEventHandler)
  hook_and_abort(XtRemoveInput)
  hook_and_abort(XtScreen)
  hook_and_abort(XtShellStrings)
  hook_and_abort(XtStrings)
  hook_and_abort(XtTranslateCoords)
  hook_and_abort(XtUngrabButton)
  hook_and_abort(XtUngrabKey)
  hook_and_abort(XtVaGetValues)
  hook_and_abort(XtWidgetToApplicationContext)
  hook_and_abort(XtWindow)
  hook_and_abort(XtWindowToWidget)
  hook_and_abort(_XtCheckSubclassFlag)
//hook_and_abort(___brk_addr)
//hook_and_abort(__ctype_tolower)
//hook_and_abort(__ctype_toupper)
  hook_and_abort(__curbrk)
//hook_and_abort(__environ)
//hook_and_abort(__errno_location)
//hook_and_abort(__gmon_start__)
//hook_and_abort(_exit)
  hook_and_abort(abort)
//hook_and_abort(accept)
  hook_and_abort(alarm)
  hook_and_abort(applicationShellWidgetClass)
  hook_and_abort(atexit)
//hook_and_abort(bind)
//hook_and_abort(close)
//hook_and_abort(connect)
//hook_and_abort(dup2)
  hook_and_abort(execvp)
  hook_and_abort(exit)
  hook_and_abort(fclose)
//hook_and_abort(fcntl)
  hook_and_abort(fdopen)
  hook_and_abort(fgets)
  hook_and_abort(fileno)
  hook_and_abort(fopen)
//hook_and_abort(fork)
//hook_and_abort(fprintf)
  hook_and_abort(fputs)
  hook_and_abort(fread)
  hook_and_abort(free)
  hook_and_abort(fseek)
  hook_and_abort(ftell)
  hook_and_abort(fwrite)
  hook_and_abort(getenv)
//hook_and_abort(getsockopt)
//hook_and_abort(kill)
//hook_and_abort(listen)
  hook_and_abort(malloc)
  hook_and_abort(memcpy)
  hook_and_abort(memmove)
  hook_and_abort(memset)
//hook_and_abort(mkfifo)
//hook_and_abort(open)
//hook_and_abort(pipe)
//hook_and_abort(raise)
//hook_and_abort(read)
//hook_and_abort(setsockopt)
//hook_and_abort(sigaction)
  hook_and_abort(sigemptyset)
//hook_and_abort(socket)
  hook_and_abort(sprintf)
  hook_and_abort(sscanf)
//hook_and_abort(stderr)
  hook_and_abort(strcat)
  hook_and_abort(strchr)
  hook_and_abort(strcmp)
  hook_and_abort(strcpy)
  hook_and_abort(strncmp)
  hook_and_abort(strncpy)
  hook_and_abort(strrchr)
  hook_and_abort(sysconf)
  hook_and_abort(time)
  hook_and_abort(tmpfile)
  hook_and_abort(tmpnam)
//hook_and_abort(unlink)
//hook_and_abort(waitpid)
//hook_and_abort(write)
#endif
