/*-
 * Copyright (c) 2004-2005 Norikatsu Shigemura
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * $Id: dummy_flash7.c,v 1.6 2005/09/08 15:53:23 nork Exp $
 */

/*
 *
 */
#ifdef	DEBUG
void abort(void);
int _write(int, const void *, unsigned int);

#define	hook_and_abort(func)	\
	void func(void) { \
		_write(2, #func "\n", sizeof(#func "\n") - 1); \
		abort(); \
	}

  hook_and_abort(NPP_SetValue)
  hook_and_abort(XAllocColor)
  hook_and_abort(XBlackPixel)
  hook_and_abort(XClearWindow)
  hook_and_abort(XCloseIM)
  hook_and_abort(XCopyArea)
  hook_and_abort(XCopyGC)
  hook_and_abort(XCopyPlane)
  hook_and_abort(XCreateBitmapFromData)
  hook_and_abort(XCreateFontCursor)
  hook_and_abort(XCreateFontSet)
  hook_and_abort(XCreateGC)
  hook_and_abort(XCreateIC)
  hook_and_abort(XCreateImage)
  hook_and_abort(XCreatePixmap)
  hook_and_abort(XCreatePixmapCursor)
  hook_and_abort(XDefineCursor)
  hook_and_abort(XDestroyIC)
  hook_and_abort(XDrawLine)
  hook_and_abort(XDrawString)
  hook_and_abort(XDrawString16)
  hook_and_abort(XFillRectangle)
  hook_and_abort(XFree)
  hook_and_abort(XFreeColors)
  hook_and_abort(XFreeCursor)
  hook_and_abort(XFreeFont)
  hook_and_abort(XFreeGC)
  hook_and_abort(XFreePixmap)
  hook_and_abort(XFreeStringList)
  hook_and_abort(XGetErrorText)
  hook_and_abort(XGetFontPath)
  hook_and_abort(XGetGeometry)
  hook_and_abort(XGetIMValues)
  hook_and_abort(XGetInputFocus)
  hook_and_abort(XGetSelectionOwner)
  hook_and_abort(XGetSubImage)
  hook_and_abort(XGetWindowAttributes)
  hook_and_abort(XInternAtom)
  hook_and_abort(XKeysymToKeycode)
  hook_and_abort(XListPixmapFormats)
  hook_and_abort(XLoadQueryFont)
  hook_and_abort(XLookupString)
  hook_and_abort(XMatchVisualInfo)
  hook_and_abort(XOpenDisplay)
  hook_and_abort(XOpenIM)
  hook_and_abort(XPutImage)
  hook_and_abort(XQueryColors)
  hook_and_abort(XQueryKeymap)
  hook_and_abort(XQueryPointer)
  hook_and_abort(XQueryTree)
  hook_and_abort(XSetBackground)
  hook_and_abort(XSetErrorHandler)
  hook_and_abort(XSetFont)
  hook_and_abort(XSetForeground)
  hook_and_abort(XSetICFocus)
  hook_and_abort(XShmAttach)
  hook_and_abort(XShmCreateImage)
  hook_and_abort(XShmDetach)
  hook_and_abort(XShmPutImage)
  hook_and_abort(XShmQueryExtension)
  hook_and_abort(XSync)
  hook_and_abort(XTextWidth)
  hook_and_abort(XVaCreateNestedList)
  hook_and_abort(XmbLookupString)
  hook_and_abort(XmbTextExtents)
  hook_and_abort(XmuConvertStandardSelection)
  hook_and_abort(XmuInternAtom)
  hook_and_abort(XtAddCallback)
  hook_and_abort(XtAddEventHandler)
  hook_and_abort(XtAppAddTimeOut)
  hook_and_abort(XtCreatePopupShell)
  hook_and_abort(XtDestroyWidget)
  hook_and_abort(XtDisownSelection)
  hook_and_abort(XtDisplay)
//hook_and_abort(XtDisplayToApplicationContext)
  hook_and_abort(XtFree)
  hook_and_abort(XtGetSelectionRequest)
  hook_and_abort(XtGetSelectionValue)
  hook_and_abort(XtGrabKeyboard)
  hook_and_abort(XtGrabPointer)
  hook_and_abort(XtLastTimestampProcessed)
  hook_and_abort(XtMalloc)
  hook_and_abort(XtMoveWidget)
  hook_and_abort(XtOwnSelection)
  hook_and_abort(XtParent)
  hook_and_abort(XtPopdown)
  hook_and_abort(XtPopupSpringLoaded)
  hook_and_abort(XtRemoveCallback)
  hook_and_abort(XtRemoveEventHandler)
  hook_and_abort(XtRemoveTimeOut)
  hook_and_abort(XtResizeWidget)
  hook_and_abort(XtStrings)
  hook_and_abort(XtUngrabKeyboard)
  hook_and_abort(XtUngrabPointer)
  hook_and_abort(XtWindowToWidget)
  hook_and_abort(Xutf8DrawString)
  hook_and_abort(_Jv_RegisterClasses)
  hook_and_abort(_XA_TARGETS)
  hook_and_abort(_XA_TEXT)
  hook_and_abort(_XtInherit)
  hook_and_abort(__assert_fail)
//hook_and_abort(__ctype_b)
//hook_and_abort(__ctype_toupper)
  hook_and_abort(__cxa_atexit)
  hook_and_abort(__cxa_finalize)
//hook_and_abort(__errno_location)
//hook_and_abort(__fxstat)
//hook_and_abort(__gmon_start__)
//hook_and_abort(__strtol_internal)
//hook_and_abort(__strtoul_internal)
//hook_and_abort(__xstat)
//hook_and_abort(_exit)
  hook_and_abort(_setjmp)
  hook_and_abort(abort)
  hook_and_abort(acos)
  hook_and_abort(asin)
//hook_and_abort(close)
  hook_and_abort(closedir)
//hook_and_abort(connect)
  hook_and_abort(cos)
  hook_and_abort(dl_iterate_phdr)
//hook_and_abort(dlclose)
  hook_and_abort(dlerror)
//hook_and_abort(dlopen)
//hook_and_abort(dlsym)
//hook_and_abort(dup2)
  hook_and_abort(execlp)
  hook_and_abort(exp)
  hook_and_abort(fclose)
//hook_and_abort(fcntl)
  hook_and_abort(feof)
  hook_and_abort(fgets)
  hook_and_abort(fopen)
//hook_and_abort(fork)
  hook_and_abort(fread)
  hook_and_abort(free)
  hook_and_abort(frexp)
  hook_and_abort(fseek)
  hook_and_abort(ftell)
  hook_and_abort(fwrite)
  hook_and_abort(getcwd)
  hook_and_abort(getenv)
  hook_and_abort(gethostbyname)
//hook_and_abort(getpid)
//hook_and_abort(getsockopt)
//hook_and_abort(gettimeofday)
  hook_and_abort(gmtime)
  hook_and_abort(gtk_bin_get_type)
  hook_and_abort(gtk_label_get_type)
  hook_and_abort(gtk_type_check_object_cast)
  hook_and_abort(gtk_window_get_type)
  hook_and_abort(iconv)
  hook_and_abort(iconv_open)
  hook_and_abort(inflate)
  hook_and_abort(inflateEnd)
  hook_and_abort(inflateInit2_)
  hook_and_abort(inflateInit_)
  hook_and_abort(inflateReset)
//hook_and_abort(ioctl)
  hook_and_abort(localtime)
  hook_and_abort(log)
  hook_and_abort(longjmp)
  hook_and_abort(malloc)
  hook_and_abort(memcpy)
  hook_and_abort(memmove)
  hook_and_abort(memset)
//hook_and_abort(mkdir)
  hook_and_abort(mktime)
//hook_and_abort(mmap)
//hook_and_abort(munmap)
//hook_and_abort(open)
  hook_and_abort(opendir)
  hook_and_abort(overrideShellClassRec)
  hook_and_abort(pclose)
//hook_and_abort(pipe)
  hook_and_abort(popen)
  hook_and_abort(pow)
  hook_and_abort(printf)
  hook_and_abort(pthread_create)
//hook_and_abort(pthread_exit)
  hook_and_abort(pthread_getspecific)
  hook_and_abort(pthread_key_create)
//hook_and_abort(pthread_mutex_destroy)
//hook_and_abort(pthread_mutex_init)
//hook_and_abort(pthread_mutex_lock)
//hook_and_abort(pthread_mutex_trylock)
//hook_and_abort(pthread_mutex_unlock)
  hook_and_abort(pthread_once)
  hook_and_abort(pthread_setspecific)
  hook_and_abort(qsort)
  hook_and_abort(rand)
//hook_and_abort(read)
  hook_and_abort(readdir)
  hook_and_abort(realloc)
  hook_and_abort(recv)
  hook_and_abort(rename)
  hook_and_abort(rint)
  hook_and_abort(rmdir)
//hook_and_abort(select)
  hook_and_abort(semctl)
  hook_and_abort(semget)
  hook_and_abort(semop)
  hook_and_abort(setlocale)
//hook_and_abort(shmat)
//hook_and_abort(shmctl)
//hook_and_abort(shmdt)
//hook_and_abort(shmget)
  hook_and_abort(sin)
//hook_and_abort(socket)
  hook_and_abort(sprintf)
  hook_and_abort(srand)
  hook_and_abort(strchr)
  hook_and_abort(strcmp)
  hook_and_abort(strcpy)
  hook_and_abort(strdup)
  hook_and_abort(strncat)
  hook_and_abort(strncmp)
  hook_and_abort(strncpy)
  hook_and_abort(strstr)
  hook_and_abort(system)
  hook_and_abort(tan)
  hook_and_abort(tempnam)
  hook_and_abort(time)
  hook_and_abort(uname)
  hook_and_abort(uncompress)
//hook_and_abort(unlink)
  hook_and_abort(usleep)
//hook_and_abort(waitpid)
//hook_and_abort(write)
#endif
