/*-
 * Copyright (c) 2005 Norikatsu Shigemura
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * $Id: dummy_oci8.c,v 1.1 2005/05/06 16:21:33 nork Exp $
 */

/*
 *
 */
#ifdef	DEBUG
void abort(void);
int _write(int, const void *, unsigned int);

#define	hook_and_abort(func)	\
	void func(void) { \
		_write(2, #func "\n", sizeof(#func "\n") - 1); \
		abort(); \
	}

  hook_and_abort(AI_AES_CBC)
  hook_and_abort(AI_AES_ECB)
  hook_and_abort(AI_DESX_CBC_IV8)
  hook_and_abort(AI_DES_CBC_IV8)
  hook_and_abort(AI_DES_EDE3_CBC_IV8)
  hook_and_abort(AI_DHKeyAgree)
  hook_and_abort(AI_DSA)
  hook_and_abort(AI_DSAKeyGen)
  hook_and_abort(AI_MD2)
  hook_and_abort(AI_MD2WithRSAEncryption)
  hook_and_abort(AI_MD5)
  hook_and_abort(AI_MD5Random)
  hook_and_abort(AI_MD5WithRSAEncryption)
  hook_and_abort(AI_PKCS_RSAPrivate)
  hook_and_abort(AI_PKCS_RSAPublic)
  hook_and_abort(AI_RC4)
  hook_and_abort(AI_RSAKeyGen)
  hook_and_abort(AI_RSAPrivate)
  hook_and_abort(AI_RSAPublic)
  hook_and_abort(AI_SHA1)
  hook_and_abort(AI_SHA1WithRSAEncryption)
  hook_and_abort(AI_X962Random_V0)
  hook_and_abort(AM_AES128_DECRYPT)
  hook_and_abort(AM_AES128_ENCRYPT)
  hook_and_abort(AM_AES_CBC_DECRYPT)
  hook_and_abort(AM_AES_CBC_ENCRYPT)
  hook_and_abort(AM_AES_DECRYPT)
  hook_and_abort(AM_AES_ENCRYPT)
  hook_and_abort(AM_CFB_DECRYPT)
  hook_and_abort(AM_CFB_ENCRYPT)
  hook_and_abort(AM_DES_CBC_DECRYPT)
  hook_and_abort(AM_DES_CBC_ENCRYPT)
  hook_and_abort(AM_DES_EDE3_CBC_DECRYPT)
  hook_and_abort(AM_DES_EDE3_CBC_ENCRYPT)
  hook_and_abort(AM_DH_KEY_AGREE)
  hook_and_abort(AM_DSA_KEY_GEN)
  hook_and_abort(AM_DSA_SIGN)
  hook_and_abort(AM_DSA_VERIFY)
  hook_and_abort(AM_ECB_DECRYPT)
  hook_and_abort(AM_ECB_ENCRYPT)
  hook_and_abort(AM_MD2)
  hook_and_abort(AM_MD5)
  hook_and_abort(AM_MD5_RANDOM)
  hook_and_abort(AM_RC4_DECRYPT)
  hook_and_abort(AM_RC4_ENCRYPT)
  hook_and_abort(AM_RSA_CRT_DECRYPT)
  hook_and_abort(AM_RSA_CRT_ENCRYPT)
  hook_and_abort(AM_RSA_DECRYPT)
  hook_and_abort(AM_RSA_ENCRYPT)
  hook_and_abort(AM_RSA_KEY_GEN)
  hook_and_abort(AM_SHA)
  hook_and_abort(AM_SHA_RANDOM)
  hook_and_abort(A_X931RandomContextDestroy)
  hook_and_abort(A_X931RandomGenerateBytes)
  hook_and_abort(A_X931RandomInit)
  hook_and_abort(A_X931RandomUpdate)
  hook_and_abort(B_CreateAlgorithmObject)
  hook_and_abort(B_CreateKeyObject)
  hook_and_abort(B_DecryptFinal)
  hook_and_abort(B_DecryptInit)
  hook_and_abort(B_DecryptUpdate)
  hook_and_abort(B_DestroyAlgorithmObject)
  hook_and_abort(B_DestroyKeyObject)
  hook_and_abort(B_DigestFinal)
  hook_and_abort(B_DigestInit)
  hook_and_abort(B_DigestUpdate)
  hook_and_abort(B_EncryptFinal)
  hook_and_abort(B_EncryptInit)
  hook_and_abort(B_EncryptUpdate)
  hook_and_abort(B_GenerateInit)
  hook_and_abort(B_GenerateKeypair)
  hook_and_abort(B_GenerateRandomBytes)
  hook_and_abort(B_GetAlgorithmInfo)
  hook_and_abort(B_GetKeyInfo)
  hook_and_abort(B_KeyAgreeInit)
  hook_and_abort(B_KeyAgreePhase1)
  hook_and_abort(B_KeyAgreePhase2)
  hook_and_abort(B_RandomInit)
  hook_and_abort(B_RandomUpdate)
  hook_and_abort(B_SetAlgorithmInfo)
  hook_and_abort(B_SetKeyInfo)
  hook_and_abort(B_SignFinal)
  hook_and_abort(B_SignInit)
  hook_and_abort(B_SignUpdate)
  hook_and_abort(B_VerifyFinal)
  hook_and_abort(B_VerifyInit)
  hook_and_abort(B_VerifyUpdate)
  hook_and_abort(KI_DES24Strong)
  hook_and_abort(KI_DES8)
  hook_and_abort(KI_DESX)
  hook_and_abort(KI_DSAPrivate)
  hook_and_abort(KI_DSAPublic)
  hook_and_abort(KI_Item)
  hook_and_abort(KI_PKCS_RSAPrivate)
  hook_and_abort(KI_RSAPublic)
  hook_and_abort(_IO_getc)
  hook_and_abort(_IO_putc)
  hook_and_abort(__assert_fail)
//hook_and_abort(__ctype_b)
//hook_and_abort(__ctype_tolower)
//hook_and_abort(__ctype_toupper)
  hook_and_abort(__cxa_finalize)
  hook_and_abort(__deregister_frame_info)
  hook_and_abort(__divdi3)
  hook_and_abort(__environ)
  hook_and_abort(__errno_location)
  hook_and_abort(__finite)
  hook_and_abort(__fxstat)
  hook_and_abort(__fxstat64)
//hook_and_abort(__gmon_start__)
  hook_and_abort(__h_errno_location)
  hook_and_abort(__isnan)
  hook_and_abort(__lxstat)
  hook_and_abort(__lxstat64)
  hook_and_abort(__moddi3)
//hook_and_abort(__register_frame_info)
//hook_and_abort(__sigsetjmp)
  hook_and_abort(__udivdi3)
  hook_and_abort(__umoddi3)
  hook_and_abort(__xmknod)
  hook_and_abort(__xstat)
  hook_and_abort(__xstat64)
  hook_and_abort(_exit)
  hook_and_abort(_setjmp)
  hook_and_abort(abort)
  hook_and_abort(accept)
  hook_and_abort(access)
  hook_and_abort(acos)
  hook_and_abort(alarm)
  hook_and_abort(asin)
  hook_and_abort(atan)
  hook_and_abort(atan2)
  hook_and_abort(atof)
  hook_and_abort(atoi)
  hook_and_abort(atol)
  hook_and_abort(bind)
  hook_and_abort(bsearch)
  hook_and_abort(bzero)
  hook_and_abort(calloc)
  hook_and_abort(ceil)
  hook_and_abort(chdir)
  hook_and_abort(chmod)
  hook_and_abort(clock)
  hook_and_abort(close)
  hook_and_abort(closedir)
  hook_and_abort(connect)
  hook_and_abort(cos)
  hook_and_abort(cosh)
  hook_and_abort(creat)
  hook_and_abort(ctime)
  hook_and_abort(difftime)
  hook_and_abort(dlclose)
  hook_and_abort(dlerror)
  hook_and_abort(dlopen)
//hook_and_abort(dlsym)
  hook_and_abort(dup)
  hook_and_abort(endgrent)
  hook_and_abort(environ)
  hook_and_abort(execv)
  hook_and_abort(execvp)
  hook_and_abort(exit)
  hook_and_abort(exp)
  hook_and_abort(fchmod)
  hook_and_abort(fclose)
  hook_and_abort(fcntl)
  hook_and_abort(fdopen)
  hook_and_abort(feof)
  hook_and_abort(ferror)
  hook_and_abort(fflush)
  hook_and_abort(fgets)
  hook_and_abort(fileno)
  hook_and_abort(floor)
  hook_and_abort(fmod)
  hook_and_abort(fopen)
  hook_and_abort(fopen64)
  hook_and_abort(fork)
  hook_and_abort(fprintf)
  hook_and_abort(fputc)
  hook_and_abort(fread)
  hook_and_abort(free)
  hook_and_abort(fseeko64)
  hook_and_abort(fsync)
  hook_and_abort(ftello64)
  hook_and_abort(ftruncate)
  hook_and_abort(ftruncate64)
  hook_and_abort(fwrite)
  hook_and_abort(getchar)
  hook_and_abort(getcwd)
  hook_and_abort(getegid)
  hook_and_abort(getenv)
  hook_and_abort(geteuid)
  hook_and_abort(getgid)
  hook_and_abort(getgrgid)
  hook_and_abort(getgrnam)
  hook_and_abort(gethostbyaddr)
  hook_and_abort(gethostbyname)
  hook_and_abort(gethostbyname_r)
  hook_and_abort(gethostent)
  hook_and_abort(gethostid)
  hook_and_abort(gethostname)
  hook_and_abort(getpagesize)
  hook_and_abort(getpeername)
//hook_and_abort(getpid)
  hook_and_abort(getppid)
  hook_and_abort(getpwnam)
  hook_and_abort(getpwuid)
  hook_and_abort(getpwuid_r)
  hook_and_abort(getrlimit)
  hook_and_abort(getrusage)
  hook_and_abort(gets)
  hook_and_abort(getservbyname)
  hook_and_abort(getservbyport)
  hook_and_abort(getservent)
  hook_and_abort(getsockname)
  hook_and_abort(getsockopt)
  hook_and_abort(gettimeofday)
  hook_and_abort(getuid)
  hook_and_abort(gmtime)
  hook_and_abort(gmtime_r)
  hook_and_abort(inet_addr)
  hook_and_abort(inet_ntoa)
  hook_and_abort(ioctl)
  hook_and_abort(isatty)
//hook_and_abort(kill)
  hook_and_abort(ldexp)
  hook_and_abort(listen)
  hook_and_abort(localtime)
  hook_and_abort(localtime_r)
  hook_and_abort(log)
  hook_and_abort(log10)
  hook_and_abort(longjmp)
  hook_and_abort(lseek)
  hook_and_abort(lseek64)
  hook_and_abort(malloc)
  hook_and_abort(memccpy)
  hook_and_abort(memchr)
  hook_and_abort(memmove)
  hook_and_abort(mkdir)
  hook_and_abort(mktime)
  hook_and_abort(mmap)
  hook_and_abort(mmap64)
  hook_and_abort(modf)
  hook_and_abort(munmap)
  hook_and_abort(nzdcfcx_free_cert_ctx)
  hook_and_abort(nzdcgui_get_userinfo)
  hook_and_abort(nzdsi_initialize)
  hook_and_abort(nzdst_terminate)
  hook_and_abort(nzduui2_destroy_ui)
  hook_and_abort(nzduui6_get_name)
  hook_and_abort(nzgbllsm_location_shared_memory)
  hook_and_abort(nzhdcgldn_getldapdn)
  hook_and_abort(nzosCipherSpecToStr)
  hook_and_abort(nzosDestroyCredential)
  hook_and_abort(nzosGetPeerCredential)
  hook_and_abort(nzosGetSupportedCipher)
  hook_and_abort(nzosSCCS_SetCRLCacheSize)
  hook_and_abort(nzosSetCipherSuite)
  hook_and_abort(nzosSetCredential)
  hook_and_abort(nzos_Close)
  hook_and_abort(nzos_CompareDN)
  hook_and_abort(nzos_Configure)
  hook_and_abort(nzos_Create_Ctx)
  hook_and_abort(nzos_Deinitialize)
  hook_and_abort(nzos_Destroy_Ctx)
  hook_and_abort(nzos_Get_Ctx)
  hook_and_abort(nzos_Handshake)
  hook_and_abort(nzos_Initialize)
  hook_and_abort(nzos_OToolkitContext)
  hook_and_abort(nzos_OpenWallet)
  hook_and_abort(nzos_Read)
  hook_and_abort(nzos_RetrievePersonaCopy)
  hook_and_abort(nzos_ServiceWriteQueue)
  hook_and_abort(nzos_SetFuncvec)
  hook_and_abort(nzos_Write)
  hook_and_abort(nzos_enableHWAcc)
  hook_and_abort(nzos_setCRLFile)
  hook_and_abort(nzos_setCRLPath)
  hook_and_abort(nzos_setCertValPolicy)
  hook_and_abort(nzos_setCertValProtocol)
  hook_and_abort(nzos_setOIDConnInfo)
  hook_and_abort(nzos_setThrUse)
  hook_and_abort(nzosaccrb_aysnCheckRecbuf)
  hook_and_abort(nzosgnc_GetNegotiatedCipher)
  hook_and_abort(nzosgpc_GetProtocolVer)
  hook_and_abort(nzssGSL_GetSecretLength)
  hook_and_abort(nzssGS_GetSecret)
  hook_and_abort(nzstrfc_free_content)
  hook_and_abort(nztGetSubjectName)
  hook_and_abort(nztSearchNZDefault)
  hook_and_abort(nztSetAppDefaultLocation)
  hook_and_abort(nzteDestroyPersona)
  hook_and_abort(nzteMyCert)
  hook_and_abort(nzteOpenPersona)
  hook_and_abort(nztiFIL_Free_Identity_List)
  hook_and_abort(nztiGCC_Get_CertCtx)
  hook_and_abort(nztiGetSecInfo)
  hook_and_abort(nztiee_IsEncrEnabled)
  hook_and_abort(nztnGCL_Get_Certificate_List)
  hook_and_abort(nztwCloseWallet)
  hook_and_abort(nztwOpenWallet)
  hook_and_abort(nztwRetrievePersonaCopy)
  hook_and_abort(nzuexid_initdl)
  hook_and_abort(open)
  hook_and_abort(open64)
  hook_and_abort(opendir)
  hook_and_abort(pclose)
  hook_and_abort(perror)
  hook_and_abort(pipe)
  hook_and_abort(poll)
  hook_and_abort(popen)
  hook_and_abort(pow)
  hook_and_abort(printf)
//hook_and_abort(pthread_attr_destroy)
//hook_and_abort(pthread_attr_init)
  hook_and_abort(pthread_attr_setdetachstate)
  hook_and_abort(pthread_attr_setstacksize)
  hook_and_abort(pthread_cond_broadcast)
  hook_and_abort(pthread_cond_destroy)
  hook_and_abort(pthread_cond_init)
  hook_and_abort(pthread_cond_signal)
  hook_and_abort(pthread_cond_timedwait)
  hook_and_abort(pthread_cond_wait)
  hook_and_abort(pthread_condattr_destroy)
  hook_and_abort(pthread_condattr_init)
//hook_and_abort(pthread_create)
  hook_and_abort(pthread_exit)
  hook_and_abort(pthread_getschedparam)
  hook_and_abort(pthread_getspecific)
  hook_and_abort(pthread_join)
  hook_and_abort(pthread_key_create)
  hook_and_abort(pthread_kill)
  hook_and_abort(pthread_mutex_destroy)
//hook_and_abort(pthread_mutex_init)
//hook_and_abort(pthread_mutex_lock)
  hook_and_abort(pthread_mutex_trylock)
  hook_and_abort(pthread_mutex_unlock)
//hook_and_abort(pthread_mutexattr_destroy)
//hook_and_abort(pthread_mutexattr_init)
  hook_and_abort(pthread_self)
  hook_and_abort(pthread_setspecific)
//hook_and_abort(pthread_sigmask)
  hook_and_abort(putchar)
  hook_and_abort(putenv)
  hook_and_abort(puts)
  hook_and_abort(qsort)
  hook_and_abort(rand_r)
  hook_and_abort(read)
  hook_and_abort(readdir)
  hook_and_abort(readdir_r)
  hook_and_abort(readv)
  hook_and_abort(realloc)
  hook_and_abort(recv)
  hook_and_abort(recvfrom)
  hook_and_abort(recvmsg)
  hook_and_abort(remainder)
  hook_and_abort(remap_file_pages)
  hook_and_abort(rename)
  hook_and_abort(sched_get_priority_max)
  hook_and_abort(sched_get_priority_min)
  hook_and_abort(sched_yield)
  hook_and_abort(schedctl_init)
  hook_and_abort(schedctl_lookup)
  hook_and_abort(select)
  hook_and_abort(sem_destroy)
  hook_and_abort(sem_init)
  hook_and_abort(sem_post)
  hook_and_abort(sem_wait)
  hook_and_abort(semctl)
  hook_and_abort(semget)
  hook_and_abort(semop)
  hook_and_abort(semtimedop)
  hook_and_abort(send)
  hook_and_abort(sendmsg)
  hook_and_abort(sendto)
  hook_and_abort(setgid)
  hook_and_abort(setgroups)
  hook_and_abort(setitimer)
  hook_and_abort(setregid)
  hook_and_abort(setreuid)
  hook_and_abort(setrlimit)
  hook_and_abort(setsid)
  hook_and_abort(setsockopt)
  hook_and_abort(setuid)
  hook_and_abort(shmat)
  hook_and_abort(shmctl)
  hook_and_abort(shmdt)
  hook_and_abort(shmget)
  hook_and_abort(shutdown)
  hook_and_abort(sigaction)
  hook_and_abort(sigaddset)
  hook_and_abort(sigaltstack)
  hook_and_abort(sigdelset)
  hook_and_abort(sigemptyset)
  hook_and_abort(sigfillset)
  hook_and_abort(siglongjmp)
  hook_and_abort(signal)
  hook_and_abort(sigprocmask)
  hook_and_abort(sigsuspend)
  hook_and_abort(sin)
  hook_and_abort(sinh)
  hook_and_abort(sleep)
  hook_and_abort(socket)
  hook_and_abort(sprintf)
  hook_and_abort(sqrt)
  hook_and_abort(sscanf)
  hook_and_abort(statfs)
//hook_and_abort(stderr)
//hook_and_abort(stdin)
//hook_and_abort(stdout)
  hook_and_abort(strchr)
  hook_and_abort(strcspn)
  hook_and_abort(strerror)
  hook_and_abort(strftime)
  hook_and_abort(strncasecmp)
  hook_and_abort(strncat)
  hook_and_abort(strncmp)
  hook_and_abort(strncpy)
  hook_and_abort(strrchr)
  hook_and_abort(strspn)
  hook_and_abort(strstr)
  hook_and_abort(strtod)
  hook_and_abort(strtok)
  hook_and_abort(strtok_r)
  hook_and_abort(strtol)
  hook_and_abort(strtoul)
  hook_and_abort(strtoull)
  hook_and_abort(sysconf)
  hook_and_abort(tan)
  hook_and_abort(tanh)
  hook_and_abort(tcgetattr)
  hook_and_abort(tcsetattr)
  hook_and_abort(time)
  hook_and_abort(times)
  hook_and_abort(tolower)
  hook_and_abort(toupper)
  hook_and_abort(truncate64)
  hook_and_abort(ttyname)
  hook_and_abort(umask)
  hook_and_abort(uname)
  hook_and_abort(ungetc)
  hook_and_abort(unlink)
  hook_and_abort(usleep)
  hook_and_abort(vfprintf)
  hook_and_abort(vprintf)
  hook_and_abort(vsnprintf)
  hook_and_abort(vsprintf)
  hook_and_abort(wait)
  hook_and_abort(waitpid)
  hook_and_abort(write)
  hook_and_abort(writev)
#endif
